from flask import Blueprint, jsonify, request, session
from models.deleteProfile import delete

deleteProfile_bp = Blueprint("deleteProfile",__name__)

@deleteProfile_bp.route("/user/deleteProfile", methods=["POST"])
def deleteProfile():

    user_id = session.get("user_id")

    if user_id:

        if request.method == 'POST':

            #User data from front end
            data = request.get_json()
            email = data.get("email")

            user_info = {
                "email" : email,
                "user_id" : user_id
            }

            user = delete(user_info) #Collect user data from database
            

            return jsonify(user, user_id)
        
        else:
            return {"message" : "null"}
    
    else:
        return {"error" : "User not logged in"}