from flask import Blueprint, jsonify, request, json, session
from models.updateProfile import update_user
from models.updateProfile import fetch_user_info

update_profile_bp = Blueprint("update",__name__)

@update_profile_bp.route("/user/update", methods=["POST"])
def update_profile():

    user_id = session.get("user_id")

    if user_id:

        user_info = fetch_user_info(user_id)
        print(jsonify(user_info))

        if request.method == 'POST':

            #User data from front end
            data = request.get_json()
            email = data.get("email")
            first_name = data.get("first_name")
            last_name = data.get("last_name")
            location = data.get("location")
            gender = data.get("gender")

                
            # Create a dictionary from user data
            user_data = {
                "user_id" : user_id,
                "email": email,
                "first_name": first_name,
                "last_name": last_name,
                "location": location,
                "gender": gender,
            }

            # Convert to JSON
            json_user_data = json.dumps(user_data)


            update = update_user(user_data) #Send user info to database

            return jsonify(update, user_id)
        
        else:
            return {"error" : "null"}
    else:
        return {"error" : "User not logged in"}