from flask import Flask, redirect, url_for, request, render_template, make_response, session, abort
from flask_cors import CORS
from flask import jsonify
from controllers.loginController import login_bp
from controllers.signupController import signup_bp
from controllers.updateProfileController import update_profile_bp
from controllers.changePasswordController import change_password_bp
from controllers.deleteProfileController import deleteProfile_bp
from controllers.logoutController import logout_bp



app = Flask(__name__)
CORS(app)

app.secret_key = 'Group3'

@app.route('/')
def index():
    return render_template("index.html")


@app.route("/hello/<int:score>")
def hello_user(score):
    return render_template("hello.html", marks=score)


app.register_blueprint(login_bp)

app.register_blueprint(signup_bp)

app.register_blueprint(update_profile_bp)

app.register_blueprint(change_password_bp)

app.register_blueprint(deleteProfile_bp)

app.register_blueprint(logout_bp)


if __name__ == '__main__':
    app.run(debug=True, port=5000)